#include <iostream>

class Base {
public:
    virtual void display() const {
        std::cout << "Base display" << std::endl;
    }
};

class Derived : public Base {
public:
    void display() const override {  // Correctly overrides Base::display
        std::cout << "Derived display" << std::endl;
    }
};

int main() {
    Base* basePtr = new Derived();
    basePtr->display();  // This will now correctly call Derived::display

    delete basePtr;
    return 0;
}

